package net.yyc.common.taxhelper.entity.model;

import net.yyc.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;

/**
 * {@code TaxHelperBindingCardConfirmModel} 确认绑卡model
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-22
 * @since ver.1.0.0
 */
@Data
public class TaxHelperBindingCardConfirmModel extends TaxHelperModel{

	private static final long serialVersionUID = 8398378169078855852L;

	// 身份证号
	private String idCard;

	// 银行卡号
	private String payAccount;

	// 验证码（6位）
	private String verificationCode;

	// 回调地址
	private String notifyUrl;

	public TaxHelperBindingCardConfirmModel(TaxHelperConfig taxHelperConfig) {
		this.appId = taxHelperConfig.getAppId();
		this.appSecrete = taxHelperConfig.getAppSecrete();
		this.queryUrl = taxHelperConfig.getQueryUrl();
	}
}
